

#include <SPI.h>
#include <Ethernet.h>

int tempPin = 1;
int relayPin = 5;

int check = 0;

byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0xA5, 0xFE }; //physical mac address
//IPAddress ip (161,53,64,136); //na FERU
IPAddress ip (10,99,124,70); // ip in lan
//byte DNS[] = { 10, 11, 0, 1 };
//byte gateway[] = { 163, 53, 73, 1 }; //na FERU
byte gateway[] = { 10, 99, 124, 1 }; // internet access via router
byte subnet[] = { 255, 255, 0, 0 }; //subnet mask

EthernetServer server(80); //server port

String readString; 

//////////////////////

void setup(){

  pinMode(relayPin, OUTPUT); //pin selected to control relay

  //start Ethernet
  Ethernet.begin(mac, ip, gateway, subnet);
  server.begin();

  //enable serial data print 
  Serial.begin(9600); 
   // so I can keep track of what is loaded
}

void loop(){
  
  // Create a client connection
  EthernetClient client = server.available();
  if (client) {
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();

        //read char by char HTTP request
        if (readString.length() < 100) {

          //store characters to string 
          readString += c; 
          Serial.print(c);
        } 

        //if HTTP request has ended
        if (c == '\n') {

          ///////////////
          Serial.println(readString); //print to serial monitor for debuging 

          client.println("HTTP/1.1 200 OK"); //send new page
          client.println("Content-Type: text/html");
          client.println();

          client.println("<html>");
          client.println("<head>");
          client.println("<title>Arduino upravljanje</title>");
          client.println("</head>");
          client.println("<body>");
          
          client.println("<H1>Reguliranje temperature tople vode</H1>");
                   // mousedown buttons
          client.println("<p>Unesite zeljenu temperaturu");
          client.println(" (u *C): </p>");
          client.println( "<input type=text name='temp' value='' size='25' maxlength='50'><BR>");
          client.println("<p>\n</p>");
          client.println("Ukljucite grijac: <input type=button value=UKLJUCI onmousedown=location.href='/?on4'>"); 
          client.println("<p>\n</p>");
          client.println("Prekid grijanja: <input type=button value=ISKLJUCI onmousedown=location.href='/?off5'>");    
          
          float temp = analogRead(tempPin);
          temp *= 0.48828125;
          client.println("<p><H1> OBAVIJESTI </H1> ");
          client.println("<p>Trenutna temperatura je:  ");
          client.println(temp); 
          client.println(" *C");
          client.println("</p");
          
          if(check == 1)
          {
            client.println("<p>Grijac ukljucen!</p>");
          }
          else
          {
            client.println("<p>Grijac iskljucen!</p>");
          }
          client.println("</body>");
          client.println("</html>");
           
          delay(1);
          //stopping client
          client.stop();

          ///////////////////// control arduino pin
          if(readString.indexOf('on4') >0)//checks for 2
          {
            digitalWrite(relayPin, HIGH);    // set pin 5 high
            check = 1;
            Serial.println("Grijac ukljucen");
          }
           if(readString.indexOf('off5') >0)//checks for 2
          {
            digitalWrite(relayPin, LOW);    // set pin 5 low
            check = 0;
            Serial.println("Grijac iskljucen");
          }
             
          //clearing string for next read
          readString="";

        }
      }
    }
  }
} 

